Skip to content

Get package details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get the current user pool package details.

Method name

ManagementClient.getCurrentPackageInfo

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getCurrentPackageInfo();

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CostGetCurrentPackageRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CostCurrentPackageInfoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "code": "V4_B2C_Enterprise:1000",
    "endTime": "2022-09-09 00:00:00",
    "overdueDays": "0",
    "goodsPackage": "Package information"
  }
}

Data structure

CostCurrentPackageInfo

NameTypeIs it required?DescriptionSample value
codestringYesPackage codeV4_B2C_Enterprise:1000
endTimestringYesPackage end time2022-09-09 00:00:00
overdueDaysstringYesPackage overdue days0
goodsPackageYesPackage information Nested type: <a GoodsPackageDto.Package information

GoodsPackageDto| Name | Type |
Is it required?
|
Description
|
Sample value
|

| --------- | ------ | -------------------------------------- | ----------------------------------- | ------------------------------------- | | name | string | yes | Package name name | Test package | | nameEn | string | yes | Package name nameEn | test package | | unitPrice | string | yes | Package unit price | 99.00 | | code | string | yes | Package code code | V4_B2C_Enterprise:1000 | | group | string | yes | Package version | Enterprise | | sceneCode | string | yes | Package scene code | B2C | | amount | string | yes | Package MAU quantity | 1000 |

Agent infrastructure for identity, memory, and web action.